Texa DeskDevelopers

Texa Desk Application API · Custom attributes

Get a custom attribute details

GET/api/v1/accounts/{account_id}/custom_attribute_definitions/{id}

Get the details of a custom attribute in the account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idnumberrequired

ID of the custom attribute

account_idintegerrequired

The numeric ID of the account

idintegerrequired

The ID of the custom attribute to be updated.

Responses

200

Success

idinteger

Identifier

attribute_display_namestring

Attribute display name

attribute_display_typestring

Attribute display type (text, number, currency, percent, link, date, list, checkbox)

attribute_descriptionstring

Attribute description

attribute_keystring

Attribute unique key value

regex_patternstring

Regex pattern

regex_cuestring

Regex cue

attribute_valuesstring

Attribute values

attribute_modelstring

Attribute type(conversation_attribute/contact_attribute)

default_valuestring

Attribute default value

created_atstring

The date and time when the custom attribute was created

updated_atstring

The date and time when the custom attribute was updated

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

The given attribute ID does not exist in the account

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring